summaryrefslogtreecommitdiff
path: root/test/suspend_resume_tests/suspend_resume_test_slave_starter.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/suspend_resume_tests/suspend_resume_test_slave_starter.sh')
-rwxr-xr-xtest/suspend_resume_tests/suspend_resume_test_slave_starter.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/test/suspend_resume_tests/suspend_resume_test_slave_starter.sh b/test/suspend_resume_tests/suspend_resume_test_slave_starter.sh
new file mode 100755
index 0000000..9cbf85d
--- /dev/null
+++ b/test/suspend_resume_tests/suspend_resume_test_slave_starter.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+# Copyright (C) 2021 Bayerische Motoren Werke Aktiengesellschaft (BMW AG)
+# This Source Code Form is subject to the terms of the Mozilla Public
+# License, v. 2.0. If a copy of the MPL was not distributed with this
+# file, You can obtain one at http://mozilla.org/MPL/2.0/.
+
+FAIL=0
+
+# Start the client
+export VSOMEIP_APPLICATION_NAME=suspend_resume_test_client
+export VSOMEIP_CONFIGURATION=suspend_resume_test_client.json
+./suspend_resume_test_client &
+PID_CLIENT=$!
+
+# Wait until all applications are finished
+for job in $(jobs -p)
+do
+ # Fail gets incremented if one of the binaries exits
+ # with a non-zero exit code
+ wait $job || ((FAIL+=1))
+done
+
+# Check if both exited successfully
+if [ $FAIL -eq 0 ]
+then
+ exit 0
+else
+ exit 1
+fi \ No newline at end of file